/*
 *  SP`
 *
 *  $Id:$
 */
#include <stdlib.h>
#include <stdio.h>
#include "screen.h"
#include "tsp.h"

struct TSP_WINDOW* init_window()
{
struct TSP_WINDOW *tsp_win ;
  
 tsp_win=malloc(sizeof(struct TSP_WINDOW)) ;
 if( tsp_win==NULL ){
   return(NULL) ;
 }
 tsp_win->real_width = VRAM_WIDTH ;
 tsp_win->width      = SCREEN_WIDTH ;
 tsp_win->height     = SCREEN_HEIGHT ;
#ifdef __CYGWIN__
 tsp_win->vram       = malloc(VRAM_WIDTH*VRAM_HEIGHT*4) ;
#else
 tsp_win->vram       = (struct TSP_PIX*)VRAM_TOP ;
#endif
 return(tsp_win) ;
}
