#include <stdlib.h>
#include <stdio.h>
#include "screen.h"
#include "tsp.h"
#define         isgn(x) ((x>0)-(x<0))
#define         iabs(x) ((x)>0 ? (x):-(x))

extern FILE file_buf[256] ; /** FILE\̂̎ 256Gg **/
extern int  file_cur      ; /** ̃Ggԍ           **/
extern int  heap_top      ; /** mallocׂ̈heap̐擪         **/

int init_env() ;

int main()
{
int i,j ;
int sx,sy ;
struct TSP_WINDOW *tsp_win ;
struct TSP_PIX    *pcg_pat ;
struct TSP_PIX     clr_pix ;
static struct TSP_SP     sp[256]   ;
unsigned char     *msg ;
unsigned int      *var ;
 
 /** heap̐擪Zbg **/
 init_env() ;
 msg=malloc(0x3c) ;
 var=malloc(sizeof(unsigned int)) ;
 clr_pix.a=0 ; clr_pix.r=0 ; clr_pix.g=0 ; clr_pix.b=0 ;
 strcpy(msg,"AAAAAAAAA") ;
 pcg_pat=malloc(sizeof(struct TSP_PIX)*16*16) ;
 if( pcg_pat==NULL ) exit(-3) ;
 tsp_win=init_window() ;
 if( tsp_win==NULL ) exit(-1) ;
 strcpy(msg,"BBBBBBBBB") ;
 if( init_pcg(32)!=0 ) exit(-2) ;
 for( i=0 ; i<32 ; i++ ){
   for( j=0 ; j<256 ; j++ ){
     pcg_pat[j].a=255 ;
     pcg_pat[j].r=255/32*i ;
     pcg_pat[j].g=255/32*i ;
     pcg_pat[j].b=255/32*i ;
   }
   add_pcg( pcg_pat, 16 ) ;
   tsp_win->vram[i+1024*10]=pcg_pat[0] ;
 }
 strcpy(msg,"CCCCCCCCC") ;
 if( init_sp(256) !=0 ) exit(-4) ;
 strcpy(msg,"DDDDDDDDD") ;

 for( i=0 ; i<256 ; i++ ){
   sp[i].x  =rand()%256  ;
   sp[i].y  =rand()%256  ;
   sp[i].vx =rand()%8+1  ;
   sp[i].vy =rand()%8+1  ;
   sp[i].pcg=rand()%32+1 ;
   //sp[i].pcg=0 ;
 }
 for( j=0 ; j<3600 ; j++ ){
   *var=i ;
   for( i=0 ; i<256 ; i++ ){
     sp[i].x+=sp[i].vx ;
     sp[i].y+=sp[i].vy ;
     if( sp[i].x<0 ){ sp[i].x=0 ; sp[i].vx=-sp[i].vx ;}
     if( sp[i].y<0 ){ sp[i].y=0 ; sp[i].vy=-sp[i].vy ;}
     if( sp[i].x>=tsp_win->width  ){
       sp[i].x =tsp_win->width -1 ;
       sp[i].vx =(rand()%8+1) * -(isgn(sp[i].vx)) ;
     }
     if( sp[i].y>=tsp_win->height ){
       sp[i].y =tsp_win->height-1 ;
       sp[i].vy =(rand()%8+1) * -(isgn(sp[i].vy)) ;
     }
     set_sp( &sp[i] ) ;
   }
   for( sy=0 ; sy<tsp_win->height ; sy++ ){
     clr_pix.g=j%256 ;
     clr_pix.b=j%256 ;
     for( sx=0 ; sx<tsp_win->width ; sx++ ){
       tsp_win->vram[sx+sy*tsp_win->real_width]=clr_pix ;
       //tsp_win->vram[0]=clr_pix ;
       clr_pix.g=(clr_pix.g+1)%256 ;
       clr_pix.b=(clr_pix.b+1)%256 ;
     }
   }
   if( draw_sp( tsp_win )!=0 ) break ;
 }
#if defined __POWERX__ || defined __POWERXVM__
 __end() ;
#else
 exit(0) ;
#endif
}
/*
  heaptop =0x00200000
  vram_top=0x00300000
*/
